//创建类目下拉菜单
function CreateSelect(cid, parentid) {
    //选择的是空不执行，清空他的子选项
    if (cid != -1) {
        if ($("#cid_" + parentid + "_span").length > 0) {
            $("#cid_" + parentid + "_span").html("");
        }

        $.ajax({
            type: "POST",
            url: "TaoBaoDataHandler.ashx?type=GetItemCats",
            data: { "Cid": cid },
            dataType: "json",
            async: false,
            error: function (xmlHttpRequest, error) {
                alert("网络连接错误，请重试");
            },
            success: function (data) {
                if (typeof (data.error_response) != 'undefined') {
                    var s = data;
                    if (s.error_response.code == '29' || s.error_response.code == '25') {
                        alert("无效的Api参数，请到店铺管理-网店基本设置-淘宝同步设置里检查你的参数设置。");
                    }
                    else {
                        alert("获取类目失败，请重试！");
                    }
                }
                else if (typeof (data.itemcats_get_response.item_cats) != 'undefined') {
                    if (cid == 0) {
                        $("#parentCidDiv span").remove();
                    }
                    var datas = data.itemcats_get_response.item_cats.item_cat;
                    GetItemCats(cid, parentid, datas);
                } else {
                    //$("#protypeTip").attr("class", "msgOK");
                    $(".itemprops").html("");
                    $("#skuTableHolder").html();
                    $("#skushow").hide();
                    $("#ajaxPic").show();
                    setTimeout("createPropsForm('" + cid + "', '')", 1000);
                    $("#cidSpan").val(cid);
                }
            }
        });
    }
    else {
        $("#cid_" + parentid + "_span").html("");
        $(".itemprops").html("");
    }
}
//替归调用，创建下拉列表
function GetItemCats(cid, parentid, datas) {
    var sp;
    var sel;
    if (cid == 0) {
        sel = $("<select class='must'></select>");
        $(sel).attr('id', "pid_" + cid);
        $(sel).append("<option value='-1'>=请选择=</option>");
        $.each(datas, function (index, item) {
            if (item.status == 'normal') {
                var op = $("<option></option>");
                op.attr("value", item.cid);
                op.html(item.name);
                sel.append(op);
            }
        });
        $("#parentCidDiv").append(sel);
        $("#pid_" + cid).bind("change", function () { CreateSelect($("#pid_" + cid).val(), 0); });
        sp = $("<span id='cid_0_span'></span>");
        $("#parentCidDiv").append(sp);
    }
    else {
        $("#cid_" + parentid + "_span").html("");
        sel = $("<select></select>");
        $(sel).attr('id', "pid_" + cid);
        $(sel).append("<option value='-1'>=请选择=</option>");
        $.each(datas, function (index, item) {
            if (item.status == 'normal') {
                var op = $("<option></option>");
                op.attr("value", item.cid);
                op.text(item.name);
                sel.append(op);
            }
        });
        $("#cid_" + parentid + "_span").append(sel);
        $("#pid_" + cid).bind("change", function () { CreateSelect($("#pid_" + cid).val(), cid); });
        sp = $("<span id='cid_" + cid + "_span'></span>");
        $("#cid_" + parentid + "_span").append(sp);
    }
}

function GetTaoBaoProps(cid, childpath) {
    var props;
    $.ajax({
        type: "POST",
        url: "TaoBaoDataHandler.ashx?type=GetItemprops",
        data: { "Cid": cid, "childpath": childpath },
        dataType: "json",
        async: false,
        error: function (xmlHttpRequest, error) {
            alert("网络连接错误，请重试");
        },
        success: function (data) {
            if (typeof (data.error_response) != 'undefined') {
                var s = data;
                if (s.error_response.code == '29' || s.error_response.code == '25') {
                    alert("无效的Api参数，请到店铺管理-网店基本设置-淘宝同步设置里检查你的参数设置。");
                } else {
                    alert("获取属性失败，请重试！");
                }
            } else if (typeof (data.itemprops_get_response.item_props) != 'undefined') {
                props = data.itemprops_get_response.item_props.item_prop;
               // alert(props);
            }
        }
    }); //alert(props);
    return props;
}

function createPropsForm(cid, childpath) {
    var props = GetTaoBaoProps(cid, childpath);
    if (props == null) {
        return;
    }
    $(".itemprops").html("");
    $("#ajaxPic").hide();
    $.each(props, function (index, item) {

        if (item.is_key_prop) {
            if (item.is_enum_prop) {
                var sel = $("<select></select>");
                $(sel).attr("name", 'pid_' + item.pid);
                $(sel).attr("id", 'pid_' + item.pid);
                var op = $("<option></option>");
                op.attr("value", '');
                op.text('--请选择--');
                sel.append(op);
                if (typeof (item.prop_values) != 'undefined') {
                    $.each(item.prop_values.prop_value, function (indexchild, itemchild) {
                        var opvalues = $("<option></option>");
                        opvalues.attr("value", item.pid + ':' + itemchild.vid);
                        opvalues.text(itemchild.name);
                        sel.append(opvalues);
                    });
                }
                if (item.is_input_prop) {
                    var optemplate = $("<option></option>");
                    if (item.child_template) {
                        optemplate.attr('value', item.pid + '_' + item.child_template);
                    } else {
                        optemplate.attr('value', item.pid);
                    }
                    optemplate.text('自定义');
                    sel.append(optemplate);
                }
                var trprop = $("<tr></tr>");
                trprop.attr("id", 'pid_' + item.pid + '_tr');
                trprop.html("<td class='LeftTD'>" + item.name + "：</td>");

                var tdprop = $("<td></td>");
                tdprop.attr("class", "CenterTD");
                tdprop.append(sel);
                var propSpan = $("<span>");
                propSpan.attr("id", 'pid_' + item.pid + '_span');
                tdprop.append(propSpan);
                trprop.append(tdprop);

                if (item.must) {
                    $(sel).attr("class", "must");
                    tdprop.append("<em>*</em>");
                    trprop.append("<td class='RightTD'><div   class=\"msgNormal\">此项为必选项</div></td>");
                } else {
                    trprop.append("<td class='RightTD'></td>");
                }
                $("#enum-one-props").append(trprop);
                $('#pid_' + item.pid).bind("change", function () { parentPropList($(this), cid); });
            } else {
                var txt = $("<input type='text'>");
                txt.attr("name", 'input_' + item.pid);
                txt.attr('id', 'input_' + item.pid);
                txt.val('');
                var trproptxt = $("<tr></tr>");
                trproptxt.attr("pid", 'pid_' + item.pid + '_tr');
                trproptxt.html("<td class='LeftTD'>" + item.name + "：</td>");

                var tdproptxt = $("<td></td>");
                tdproptxt.attr("class", "CenterTD");
                tdproptxt.append(txt);
                trproptxt.append(tdproptxt);
                if (item.must) {
                    $(txt).attr("class", "must");
                    tdproptxt.append("<em>*</em>");
                    trproptxt.append("<td class='RightTD'><div   class=\"msgNormal\">此项为必填项</div></td>");
                } else {
                    trproptxt.append("<td class='RightTD'></td>");
                }

                $("#enum-one-props").append(trproptxt);
            }
        }
        /////////////////////销售属性
        else if (item.is_sale_prop) {
            var saletr = $("<tr></tr>");
            saletr.attr("skuname", item.name);
            saletr.attr("skuid", item.pid);
            saletr.attr("class", 'skuItem');
            saletr.html("<td class='LeftTD'>" + item.name + "：</td>");
            saletr.attr("id", 'pid_' + item.pid + '_tr');
            var salevalues = $("<td></td>");
            var saleuls = $("<ul></ul>");
            salevalues.attr("class", "CenterTD");
            if (item.is_color_prop)
                salevalues.addClass("coloritem");
            if (typeof (item.prop_values) != 'undefined') {
                $.each(item.prop_values.prop_value, function (indexchild, itemchild) {
                    var strli = $("<li></li>");
                    var check = $("<input type='checkbox'>");
                    check.attr("name", 'pid_' + item.pid);
                    check.attr("valuestr", itemchild.name);
                    check.attr("valueid", itemchild.vid);
                    check.attr("id", 'prop_' + item.pid + "_" + itemchild.vid);
                    check.attr("value", item.pid + ':' + itemchild.vid);
                    strli.append(check);
                    strli.append(itemchild.name);
                    saleuls.append(strli);
                });
            }
            salevalues.append(saleuls);
            var saleSign = $("<input type='hidden'>");
            saleSign.val('pid_' + item.pid);
            salevalues.append(saleSign);
            saletr.append(salevalues);
            $(saletr).append("<td class='rightTD'>&nbsp;</td>");

            $("#enum-sale-props").append(saletr);
        }  //非关键属性
        else {
            if (item.is_enum_prop && item.multi) {
                var enumtr = $("<tr></tr>");
                enumtr.html("<td class='LeftTD'>" + item.name + "：</td>");
                enumtr.attr("id", 'pid_' + item.pid + '_tr');
                var enumvalues = $("<td></td>");
                var saleuls = $("<ul></ul>");
                enumvalues.attr("class", "CenterTD");
                if (typeof (item.prop_values) != 'undefined') {
                    $.each(item.prop_values.prop_value, function (indexchild, itemchild) {
                        var strli = $("<li></li>");
                        var check = $("<input type='checkbox'>");
                        check.attr("name", 'pid_' + item.pid);
                        check.attr("valuestr", itemchild.name);
                        check.attr("valueid", itemchild.vid);
                        check.attr("id", 'prop_' + item.pid + "_" + itemchild.vid);
                        check.attr("value", item.pid + ':' + itemchild.vid);
                        strli.append(check);
                        strli.append(itemchild.name);
                        saleuls.append(strli);
                    });
                    enumvalues.append(saleuls);
                    enumtr.append(enumvalues);
                    if (item.must) {

                        enumvalues.addClass("mustcheck");
                        enumvalues.append("<em>*</em>");
                        enumtr.append("<td class='RightTD'><div   class=\"msgNormal\">此项为必选项</div></td>");
                    } else {
                        enumtr.append("<td class='RightTD'></td>");
                    }
                }

                $("#enum-multi-props").append(enumtr);
            }
            else if (item.is_enum_prop) {

                var enumsel = $("<select></select>");
                enumsel.attr("name", 'pid_' + item.pid);
                enumsel.attr("id", 'pid_' + item.pid);
                var enumop = $("<option></option>");
                enumop.attr("value", '');
                enumop.text('--请选择--');
                enumsel.append(enumop);
                if (typeof (item.prop_values) != 'undefined') {
                    $.each(item.prop_values.prop_value, function (indexchild, itemchild) {
                        var opvalues = $("<option></option>");
                        opvalues.attr("value", item.pid + ':' + itemchild.vid);
                        opvalues.text(itemchild.name);
                        enumsel.append(opvalues);
                    });
                }
                if (item.is_input_prop) {
                    var enumopt = $("<option></option>");
                    enumopt.attr('value', item.pid);
                    enumopt.text('自定义');
                    enumsel.append(enumopt);
                }
                var enumproptr = $("<tr></tr>");
                enumproptr.attr("id", 'pid_' + item.pid + '_tr');
                enumproptr.html("<td class='LeftTD'>" + item.name + "：</td>");

                var enumptdprop = $("<td></td>");
                enumptdprop.attr("class", "CenterTD");
                enumptdprop.append(enumsel);
                var enumpropSpan = $("<span>");
                enumpropSpan.attr("id", 'pid_' + item.pid + '_span');
                enumptdprop.append(enumpropSpan);
                enumproptr.append(enumptdprop);

                if (item.must) {
                    $(enumsel).attr("class", "must");
                    enumptdprop.append("<em>*</em>");
                    enumproptr.append("<td class='RightTD'><div   class=\"msgNormal\">此项为必选项</div></td>");
                } else {
                    enumproptr.append("<td class='RightTD'></td>");
                }
                $("#enum-multi-props").append(enumproptr);
                $('#pid_' + item.pid).bind("change", function () { parentPropList($(this), cid); });

            }
        }

    });
skuFields = new Array();
$.each($(".skuItem"), function (itemIndex, skuItem) {
    skuFields[itemIndex] = new Array(3);
    skuFields[itemIndex][0] = $(this).attr("skuid");
    skuFields[itemIndex][1] = $(this).attr("skuname");
});
$(".skuItem input[type='checkbox']").bind("click", function () { UpdateSkuTable(); });
RestoreSelectCheck();
RestoreInput();
InsertSku();
}




function childTemplate(childName, pid) {
    if ('' == $('#input_' + pid).val()) {
        var txt = $("<input type='text'>");
        txt.attr("name", 'input_' + pid);
        txt.attr("id", 'input_' + pid);
        txt.val('');
        $('#pid_' + pid + '_span').html("");
        $('#pid_' + pid + '_span').append(txt);
        txt.bind("blur", function () { childTemplate(childName, pid); });

    } else if ($("#"+childName).length==0) {
        var txt = $("<input type='text'>");
        txt.attr("name", childName);
        txt.attr("id", childName);
        txt.val('');
        var childTempSpan = $('<span></span>');
        childTempSpan.attr("id",'childTemp_' + pid);
        childTempSpan.html('　' + childName + '：');
        $('#pid_' + pid + '_span').append(childTempSpan);
        $('#pid_' + pid + '_span').append(txt);
    }
}





function childPropList(jqobject, pidSpan, cid) {
    if ($(jqobject).val() == '') {
        $("#" + $(jqobject).attr("id") + "_span").html("");
    } else {
        var pidVidArr = $(jqobject).val().split(':');
        if (1 === pidVidArr.length && pidVidArr[0]) {
            var pid = pidVidArr[0];
            var txt = $("<input type='text'>");
            txt.attr("name", 'input_' + pid);
            txt.attr("id", 'input_' + pid);
            txt.val('');
            $(pidSpan).html("");
            $(pidSpan).append(txt);
        } else {
            var pid = pidVidArr[0];
            var vid = pidVidArr[1];
            $(pidSpan).html("");
            var propchild = GetTaoBaoProps(cid, $(jqobject).val());
            if (typeof (propchild) != 'undefined')
                { var sel = $("<select></select>");
            sel.attr("id", 'pid_' + propchild[0].pid);
            sel.attr("name", 'pid_' + propchild[0].pid);
            var op = $("<option></option>");
            op.attr("value", '');
            op.text('--请选择--');
            sel.append(op);
            if (typeof (propchild[0].prop_values) != 'undefined') {
                $.each(propchild[0].prop_values.prop_value, function (index, item) {
                    var opvalues = $("<option></option>");
                    opvalues.attr("value", propchild[0].pid + ':' + item.vid);
                    opvalues.text(item.name);
                    sel.append(opvalues);
                });
            }
            if (propchild[0].is_input_prop) {
                var optemplate = $("<option></option>");
                optemplate.attr('value', propchild[0].pid);
                optemplate.text('自定义');
                sel.append(optemplate);
            }

            if (propchild[0].must) {

                sel.attr("class", "must");
            }

            $(pidSpan).html(propchild[0].name + '：');
            $(pidSpan).append(sel);
            var propSpan = $("<span>");
            propSpan.attr("id", 'pid_' + propchild[0].pid + '_span');
            $(pidSpan).append(propSpan);
            $('#pid_' + propchild[0].pid).live("change", function () {
                childPropList($(this), '#pid_' + propchild[0].pid + '_span', cid);
            });
            return;}
           

        }
    }
   
}

function parentPropList(jqobject,cid) {
    if ($(jqobject).val() == '') {
        $("#" + $(jqobject).attr("id") + "_span").html("");
    } else {
        var pidVidArr = $(jqobject).val().split(':');
        if (1 === pidVidArr.length && pidVidArr[0]) {
            pidVidArr = pidVidArr[0].split('_');
            var pid = pidVidArr[0];
            var childName = '';
            var txt = $("<input type='text'>");
            txt.attr("name", 'input_' + pid);
            txt.attr("id", 'input_' + pid);
            txt.val('');
            $('#pid_' + pid + '_span').html("");
            $('#pid_' + pid + '_span').append(txt);
            if (2 == pidVidArr.length) {
                childName = pidVidArr[1];
                txt.bind("blur", function () { childTemplate(childName, pid); });
            }
        } else {
            var pid = pidVidArr[0];
            var vid = pidVidArr[1];
            $('#pid_' + pid + '_span').html("");
            var propchild = GetTaoBaoProps(cid, $(jqobject).val());
            if (typeof (propchild) == 'undefined') {
                return;
            }
            var sel = $("<select></select>");
            sel.attr("id", 'pid_' + propchild[0].pid);
            sel.attr("name", 'pid_' + propchild[0].pid);
            var op = $("<option></option>");
            op.attr("value", '');
            op.text('--请选择--');
            sel.append(op);
            if (typeof (propchild[0].prop_values) != 'undefined') {
                $.each(propchild[0].prop_values.prop_value, function (index, item) {
                    var opvalues = $("<option></option>");
                    opvalues.attr("value", propchild[0].pid + ':' + item.vid);
                    opvalues.text(item.name);
                    sel.append(opvalues);
                });
            }
            if (propchild[0].is_input_prop) {
                var optemplate = $("<option></option>");
                optemplate.attr('value', propchild[0].pid);
                optemplate.text('自定义');
                sel.append(optemplate);
            }

            $('#pid_' + pid +'_span').html(propchild[0].name + '：');
            $('#pid_' + pid + '_span').append(sel);
            var propSpan = $("<span>");
            propSpan.attr("id", 'pid_' + propchild[0].pid + '_span');
            $('#pid_' + pid + '_span').append(propSpan);
            $('#pid_' + propchild[0].pid).bind("change", function () {
                childPropList(this, '#pid_' + propchild[0].pid + '_span',cid);
            });
            return;
        }
    }

}


$(".must").live("change", function () {
    if ($(this).val() != '') {
        $(this).parent("td").next().html("<div   class=\"msgOK\">填写正确</div>");
    } else {
        $(this).parent("td").next().html("<div   class=\"msgError\">此项为必选项</div>");
    }
});
$(".mustcheck input").live("click", function () {
    if ($(this).attr("checked")) {
        $(this).parent("td").next().html("<div   class=\"msgOK\">填写正确</div>");
    }
    var mustcheck = $(".mustcheck");
    if (mustcheck.length > 0) {
        $(".mustcheck").each(
            function (index, item) {
                var s = $(item).find("input:checked");
                if (s.length <= 0) {
                    $(item).next().html("<div   class=\"msgError\">请至少选择一项</div>");
                    { $(item).find("input").first().focus(); }
                }
            });
    }

    });


    $("#txttitle").bind("blur", function () {
        if($("#txttitle").val()==''||$("#txttitle").val()==null) {
            $("#txttitleTip").attr("class", "msgError");
            $("#txttitleTip").html("请填写商品标题");
        } else {
            $("#txttitleTip").attr("class", "msgOK");
            $("#txttitleTip").html("填写正确"); 
        }
});

$("#parentCidDiv select:last").live("change", function () {
    if ($(this).val() == '-1') {
        $("#protypeTip").attr("class", "msgError");
        $("#protypeTip").html("请选择商品类目");
        $(this).focus();
    }
});
$("#parentCidDiv select:last").live("blur", function () {
    if ($(this).val() != '-1') {
        $("#protypeTip").attr("class", "msgOK");
        $("#protypeTip").html("填写正确");
    }
});

$("#selectCity").bind("change", function () {
    if ($(this).val() == '-1') {
        $("#cityTip").attr("class", "msgError");
        $("#cityTip").text("请选择所在地");
        $(this).focus();
    }
});
$("#selectProvince").bind("change", function () {
    if ($("#selectCity").val() == '-1') {
        $("#cityTip").attr("class", "msgError");
        $("#cityTip").text("请选择所在城市");
        $(this).focus();
    }
}
);
$("#selectCity").bind("change", function () {
    if ($(this).val() != '-1') {
        $("#cityTip").attr("class", "msgOK");
        $("#cityTip").text("填写正确");
    } else {
         $("#cityTip").attr("class", "msgError");
        $("#cityTip").text("请选择所在地");
        $(this).focus();
    }
});

 var inputstr = '';
 var inputpid = '';

 function collectionInput() {
     inputstr = '';
     inputpid = '';
    var inputs = $(".itemprops input[type='text']").not("#pid_20000_span input");
    var counts = inputs.length;
    if (counts > 0) {
        inputs.each(function (index, item) {
            if ($(item).val() != '') {
                if (index < counts - 1) {
                    inputstr += $(item).val() + ",";
                    inputpid += $(item).attr("id").substr(6) + ",";
                } else {
                    inputstr += $(item).val();
                    inputpid += $(item).attr("id").substr(6);
                }
            }
        })
        ;
    } else {
        inputstr = '';
        inputpid = '';
    }
    CollectSpecialinput();
    $("#inputStrTextarea").val(inputstr);
    $("#inputPidsTextarea").val(inputpid);
   }

function CollectSpecialinput() {
    var str='';
    var inputs2 = $("#pid_20000_span input");
    var count2 = inputs2.length;
        if (count2 == 1) {
            var selinput = $("#pid_20000_span option");
            if (selinput.length > 0) {
                str = $("#pid_20000 option:selected").text() + ";" + "型号;" + inputs2.val() + ";";
                

            } else {
                str = inputs2.val();
            }
            
               if (inputstr.length > 0)
                    {  inputstr += ","+str;
                    inputpid += "," + "20000";
                } else {
                    inputstr +=  str;
                    inputpid +="20000";
                }
           
        } else if (count2 == 2) {
                 str = $(inputs2[0]).val() + ";" + "型号;" + $(inputs2[1]).val() + ";";
                if (inputstr.length > 0)
                    {  inputstr += ","+str;
                    inputpid += "," + "20000";
                } else {
                    inputstr +=  str;
                    inputpid +="20000";
                }
            }

       
}


function CollectProps() {


    var props = $(".itemprops input:checked,.itemprops option:selected").not("option[value='']");
    var pid2000 = $("#pid_20000_span input");
    if (pid2000.length > 0) {
        props = props.not("#pid_20000_tr option");
    }
    
    var propcount = props.length;
    if(propcount>0) {
        var propval = '';
        props.each(function (index, item) {
           propval += $(item).val() + ";"; 
        });
    }
    $("#propTextarea").val(propval);
}


function CollectSkus() {
    var cp = "";
    var skuprop = $("#skuTableHolder .skudatastr");
      var skucount = skuprop.length;
      if (skucount > 0) {
                  var skuprops = '';
                  skuprop.each(function (index, item) {
                      if (index < skucount - 1)
                      { skuprops += $(item).attr("data-value") + ","; } else {
                          skuprops += $(item).attr("data-value");
                      }
                  });  
          
          $("#skuPropTextarea").val(skuprops.replace(/_/g,';'));
    }
 
    var p = $(".tb-color input[name$='p']");
    var q = $(".tb-color input[name$='q']");
    var sku = $(".tb-color input[name$='sku']");
    $.each(p, function (index, item) { cp += $(item).val() + ","; });
    $("#tbskuprice").val(cp.substring(0, cp.length - 1));
    cp = "";
    $.each(q, function (index, item) { cp += $(item).val() + ","; });
    $("#tbsku_quantities").val(cp.substring(0, cp.length - 1));
    cp = "";
    $.each(sku, function (index, item) { cp += $(item).val() + ","; });
    $("#tbskuoutid").val(cp.substring(0, cp.length - 1));
}

function InvalidateForms() {
    var mustinput = $(".must");
    var mustcheck = $(".mustcheck");
    var skuoutid = $(".tb-color input[name$='sku']");
   if ($("#parentCidDiv select").last().val() == '-1') {
        $("#protypeTip").attr("class", "msgError");
        $("#protypeTip").html("请选择商品类目");
        $("#parentCidDiv select:first").focus();
        return false;
    }
    else if ($("#txttitle").val() == '' || $("#txttitle").val()==null)
    {
        $("#txttitleTip").attr("class", "msgError");
        $("#txttitleTip").html("请填写商品标题");
        $("#txttitle").focus();
        return false;
    }

   else if ($("#selectProvince").val() == '-1' || $("#selectCity").val() == '-1') {
        $("#cityTip").attr("class", "msgError");
        $("#cityTip").html("所在地为必填选项");
        $("#selectProvince").focus();
        return false;
    }
    else if (mustinput.length > 0) {
        var flag = true;
        $.each(mustinput, function (index, item) {
            if ($(item).val() == '' || $(item).val() == null) {
                $(item).parent().next().html("<div  style=\"width: 200px\" class=\"msgError\">此项为必填项</div>");
                if (flag)
                { $(item).focus(); }
                flag = false;
                return false;
            }
        });

        if (!flag) {
            return flag;
        }
    }
   
    if (mustcheck.length > 0) {
        var flagcheck = true;
        if (mustcheck.length > 0) {
            $(".mustcheck").each(
            function (index, item) {
                var s = $(item).find("input:checked");
                if (s.length <= 0) {
                    $(item).next().html("<div   class=\"msgError\">请至少选择一项</div>");
                    { $(item).find("input").first().focus(); }
                }
            });
        }
        if (!flagcheck) {

            return flagcheck;
        }
    }
     if(skuoutid.length>0)
    {
     var flagsku=true;
     skuoutid.each(function (index, item) {
         if ($(item).val() == '' || $(item).val() == null) {
             flagsku = false;
             return false;
         }
     }); 
      if(!flagsku) { 
      alert("商家编码为必填选项！");
      return flagsku;
      }
    }

   return true;
}

function CollectInfo() {
    if (InvalidateForms()) {
        $("#inputNum").val($("#txtnum").text());
    collectionInput();
    CollectSkus();
    CollectProps();

} else {
        return false;
    }
   
}
